import { URI } from "../../../base/common/uri.js";
import { ILanguagePackItem } from "@codingame/monaco-vscode-a654b07e-8806-5425-b124-18f03ba8e11a-common/vscode/vs/platform/languagePacks/common/languagePacks";
export declare const ILanguagePackService: import("../../instantiation/common/instantiation.js").ServiceIdentifier<ILanguagePackService>;
export interface ILanguagePackService {
    readonly _serviceBrand: undefined;
    getAvailableLanguages(): Promise<Array<ILanguagePackItem>>;
    getInstalledLanguages(): Promise<Array<ILanguagePackItem>>;
    getBuiltInExtensionTranslationsUri(id: string, language: string): Promise<URI | undefined>;
}
